/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sat Apr  6 22:43:57 CEST 2002
    copyright            : (C) 2002 by Sven Queisser
    email                : svenqueisser@t-online.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>

#include "sqmixer.h"
#include "sqmixerhw.h"
#include "settings.h"

smixer *mixer;

int main(int argc, char *argv[])
{
	int retval = 0;
	QApplication a(argc, argv);
	
    char *filename = MIXDEV;

    a.setFont(QFont("Luxi Sans [Xft]", 10));
	
    if(argc == 2)
	    filename = argv[1];

    /* create the mixer: */
    mixer = new smixer(filename);

    if(mixer->error == 0){
    	SQMixerApp *w=new SQMixerApp();
    	
        a.setMainWidget(w);

    	w->show();

        retval = a.exec();
    }

    delete mixer;

	return retval;
}
